Used Java Platform doesn't provide any java compiler!

Support/help with CloverETL (4.9) and CloverDX (5.0 or newer) implementation problems

girish_526
Posts: 16
Joined: Wed Jan 04, 2017 7:14 am

Used Java Platform doesn't provide any java compiler!

Postby girish_526 » Tue Jan 02, 2018 7:27 am

Hi All,

I was trying to use Custom Java Component and getting the below error.

"Used Java Platform doesn't provide any java compiler!"

My clover etl version is CloverETL 4.3.0.015.

Suggest me what JAR's are what JAVA environment I need to use to compile the java component.

Appreciate your help in advance.


Thanks,
Girish.

imriskal
Posts: 396
Joined: Wed Aug 15, 2012 8:18 am

Re: Used Java Platform doesn't provide any java compiler!

Postby imriskal » Tue Jan 02, 2018 8:32 am

Hi Girish,

For your version of CloverETL, we recommend Oracle JDK 8. Your Java code in custom Java components has to be compiled which requires JDK instead of JRE.
---
Lubos Imriska
CloverCARE Support
CloverDX

Visit us online at http://www.cloverdx.com